[MIR] usbguard

Bug #1816550 reported by Sebastien Bacher on 2019-02-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
usbguard (Ubuntu)
Undecided
Unassigned

Bug Description

* Availability

In sync with Debian, built on all architectures
https://launchpad.net/ubuntu/+source/usbguard/0.7.4+ds-1

* Rationale

We want to increase the security of USB devices, GNOME is working on this feature for next cycle and relying on the usbguard
https://wiki.gnome.org/Internships/2018/Projects/USB-Protection

The binaries we want to promote are usbguard and libusbguard0.

* Security

No known security issues, but due to the nature of this package, a security review is probably needed.

https://security-tracker.debian.org/tracker/source-package/usbguard
https://people.canonical.com/~ubuntu-security/cve/pkg/usbguard.html

* Quality assurance

Need to define who owns the service

https://bugs.launchpad.net/ubuntu/+source/usbguard
https://bugs.debian.org/cgi-bin/pkgreport.cgi?src=usbguard
https://github.com/USBGuard/usbguard/issues

The package build does 'make check' on the basic upstream tests, there is an upstream --enable-full-test-suite but some of those tests can't work in a buildd environment.

There is no autopkgtest

* Dependencies

No universe binary dependencies

* Standards compliance

current 4.2 standards-version, debhelper compat 11, dh 7 style simple rules

* Maintenance

Upstream is active, the package is maintained in Debian and in sync for Ubuntu

Changed in usbguard (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers